GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
gtpin::GtDataType Class Reference
GTPin: GEN Architecture

Data type of the instruction operand. More...

`#include <gt_ins_fields.h>`

## Public Member Functions
constexpr | GtDataType (GED_DATA_TYPE v=GED_DATA_TYPE_INVALID)
| Conversion constructor.
constexpr | operator GED_DATA_TYPE () const
| Conversion operator.
uint32_t | Size () const
| Return Size of the data type, in bytes.
bool | IsInteger () const
| Return true for integer data type.
const char * | ToString () const
| Return string representation.
## Static Public Member Functions
static GtDataType | MakeInt (uint32_t size)
| Return signed integer type of the specified size in bytes.
static GtDataType | MakeUint (uint32_t size)
| Return unsigned integer type of the specified size in bytes.

## Detailed Description

Data type of the instruction operand.

## Member Function Documentation

GtDataType gtpin::GtDataType::MakeInt | ( | uint32_t | size | ) | `[inline, static]`

Return signed integer type of the specified size in bytes.

Precondition:
  size = 1, 2, 4 or 8

GtDataType gtpin::GtDataType::MakeUint | ( | uint32_t | size | ) | `[inline, static]`

Return unsigned integer type of the specified size in bytes.

Precondition:
  size = 1, 2, 4 or 8

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT